POSTgetHealth

Returns the slot of the lowest confirmed block that has not been purged from the ledger

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

resultoneOf
Healthystring
Unhealthyobject
codeintegerrequired

A Number that indicates the error type that occurred.

messagestringrequired

A String providing a short description of the error.

dataobject
numSlotsBehindinteger

The number of slots behind the current slot

X-API-KEY
RequestCU0
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getHealth"
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": "ok",
  "id": 1
}